//buffer_init
#include <services/services.h>
#include <ezkitutilities.h>
#include <drivers/adi_dev.h>
#include <drivers/ppi/adi_ppi.h>
#include "../Buffer.h"

/*********************************************************************
*Functions defined in this file have similar functionality. 
*But for easy understanding of the dataflow different functions 
*are created
**********************************************************************/

/************************************************************************
	Function:BufferL3toL2
	
	Description: 
************************************************************************/

void BufferL3toL2(ADI_DMA_2D_TRANSFER * L3_buffer,ADI_DMA_2D_TRANSFER * L2_buffer, ADI_DMA_STREAM_HANDLE* shandle )
{
	adi_dma_MemoryCopy2D(shandle, 
						 L2_buffer,
						 L3_buffer,
						 TRANSFER_LENGTH, 
						 NULL);

}

/************************************************************************
	Function:BufferL2toL2
	
	Description: 
************************************************************************/

void BufferL2toL2(ADI_DMA_2D_TRANSFER * L2_buffer_dest,ADI_DMA_2D_TRANSFER * L2_buffer_src, ADI_DMA_STREAM_HANDLE* shandle )
{
	adi_dma_MemoryCopy2D(shandle, 
						 L2_buffer_dest,
						 L2_buffer_src,
						 TRANSFER_LENGTH, 
						 NULL);

}

/************************************************************************
	Function:BufferL2toL3
	
	Description: 
************************************************************************/

void BufferL2toL3(ADI_DMA_2D_TRANSFER * L3_buffer,ADI_DMA_2D_TRANSFER * L2_buffer, ADI_DMA_STREAM_HANDLE* shandle)
{
	adi_dma_MemoryCopy2D(shandle, 
						 L3_buffer,
						 L2_buffer,
						 TRANSFER_LENGTH, 
						 NULL);

}

/************************************************************************
	Function:BufferL3toL3
	
	Description: 
************************************************************************/

void BufferL3toL3(ADI_DMA_2D_TRANSFER * L3_buffer0,ADI_DMA_2D_TRANSFER * L3_buffer1, ADI_DMA_STREAM_HANDLE* shandle)
{
	adi_dma_MemoryCopy2D(shandle, 
						 L3_buffer1,
						 L3_buffer0,
						 TRANSFER_LENGTH, 
						 NULL);

}
